part of simulator_eurl_sasu;


ServiceSalary serviceSalary = new ServiceSalary();

class ServiceSalary {

  Logger logger = new Logger('simulator.ServiceSalary');

  double findGrossFromExtraGross(double turnover, double runningCost, double extraGross) {

    Salary salary = serviceUtil.findByDichotomy(1000, extraGross / 2, extraGross, extraGross, (newLimit) => computeSalary(newLimit), (computed) => (turnover - runningCost >= computed.extraGross), (computed) => computed.extraGross);
    return salary.gross;
  }

  double findGrossFromNet(double net) {

    Salary salary = serviceUtil.findByDichotomy(1000, net, net * 2, net, (newLimit) => computeSalary(newLimit), (_) => true, (computed) => computed.net);
    return salary.gross;
  }

  Salary computeSalary(double gross) {

    List<ChargeSasComputed> chargesComputed = charges.charges.map((ChargeSas charge) => new ChargeSasComputed(charge, charge.computeEmployee(gross), charge.computeEmployer(gross))).toList();
    return new Salary.computeFromCharges(gross, chargesComputed);
  }
}

