part of simulator_eurl_sasu;


class ChargeEurlThreshold extends ChargeEurl with Threshold {

  ChargeEurlThreshold(String name, double rate, double threshold) : super(name) {
    this.rate = rate;
    this.threshold = threshold;
  }
}

abstract class Threshold implements Compute {

  double rate;
  double threshold;

  double compute(double base) {
    if(base < threshold) {
      return base * rate/100;
    }
    return threshold * rate/100;
  }
}
